MP4v2

Public Member Functions | Public Attributes | List of all members
mp4v2::impl::itmf::CoverArtBox::Item Class Reference

Data object for covr-box item. More...

`#include <CoverArtBox.h>`

## Public Member Functions
| Item (const Item &)
Item & | operator= (const Item &)
void | reset ()
| Reset to state of newly constructed object. More...

## Public Attributes
BasicType | type
| covr-box type.
uint8_t * | buffer
| buffer point to raw covr-box data.
uint32_t | size
| size of covr-box buffer size in bytes.
bool | autofree
| when true invoke free(buffer) upon destruction.

## Detailed Description

Data object for covr-box item.

This object correlates to one covr->data atom and offers automatic memory freeing when autofree is true.

## Member Function Documentation

## ◆ reset()

void mp4v2::impl::itmf::CoverArtBox::Item::reset | ( |  | ) |

Reset to state of newly constructed object.

If buffer is not NULL and autofree is true the buffer will be free'd.